package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.DevEnvironment;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;
import java.util.List;

/**
 * (DevEnvironment)表数据库访问层
 *
 * @author Xidaray
 * @since 2024-06-03 15:17:37
 */
public interface DevEnvironmentDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DevEnvironment queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param devEnvironment 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<DevEnvironment> queryAllByLimit(@Param("devEnvironment") DevEnvironment devEnvironment, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param devEnvironment 查询条件
     * @return 总行数
     */
    long count(@Param("devEnvironment") DevEnvironment devEnvironment);

    /**
     * 新增数据
     *
     * @param devEnvironment 实例对象
     * @return 影响行数
     */
    int insert(@Param("devEnvironment") DevEnvironment devEnvironment);

    /**
     * 修改数据
     *
     * @param devEnvironment 实例对象
     * @return 影响行数
     */
    int update(@Param("devEnvironment") DevEnvironment devEnvironment);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    DevEnvironment getByName(@Param("name") String name);

    List<DevEnvironment> getRunning();

    List<DevEnvironment> queryByDatasetId(@Param("datasetId") String datasetId);

    List<DevEnvironment> queryByModelId(@Param("modelId") String modelId);

    List<DevEnvironment> queryByImageId(@Param("imageId") String imageId);
}

